using NEXUS.Data.Dtos;
using NEXUS.Data.Entities;

namespace NEXUS.Data.IRepositories
{
    public interface IEJ_DemographicRepository : IRepository<T_EJ_Demographic>
    {
        Task<IEnumerable<string>> QueryGeoId11ByMinPercentileAsync(Year year, EJType ejType, float min);

        Task<IEnumerable<string>> QueryGeoId11ByMinValueAsync(Year year, EJType ejType, float min);
    }
}
